Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsHold

    java.lang.Object
      |
      +--com.novell.service.nds.NdsHold

public class NdsHold
extends java.lang.Object
implements NdsAttributeValue, , java.lang.Cloneable, java.io.Serializable

Provides access to values of the Hold attribute. It is used for attributes whose values represent an object name/level pair.

The Hold syntax is an accounting quantity, which is an amount tentatively held against a subject's credit limit, pending completion of a transaction. NDS treates the Hold amount similarly to the Counter syntax, with new values added to or subtracted from the base total. If the evaluated hold amount goes to 0 (zero), the Hold record is deleted.

Matching Rules: Equality

See Also:
  `NdsSyntaxId`, Serialized Form

Constructor Summary
`NdsHold(java.lang.String objectName, long amount)` Constructs an NdsHold object based on the specified objectName and amount parameters.

Method Summary
`boolean` | `approximate(java.lang.Object anObject)` Compares two Objects using the approximate matching rule.
`java.lang.Object` | `clone()` Creates a new object of the same class as this object.
`int` | `compareTo(java.lang.Object anObject)` Compares two objects for ordering, or compares two strings lexicographically.
`int` | `count()` Returns the number of elements in this sequence.
`boolean` | `equals(java.lang.Object anObject)` Compares two Objects for equality.
`long` | `getAmount()` Returns the accounting quantity held against the target object's credit limit.
`int` | `getNdsSyntaxId()` Returns the int that represents this NDS syntax ID.
`java.lang.String` | `getObjectName()` Returns the String reference to the target object.
`` | `getValue(java.lang.String compositeId)` Returns a SchemaValue object based on the given passed-in string containing the element value.
`java.util.Enumeration` | `getValueIds()` Returns an enumeration of composite IDs.
`java.util.Enumeration` | `getValues()` Returns an enumeration of the elements in this composite.
`boolean` | `supportsMatchingRules(int matchingRules)` Checks to see if this object supports the specified matching rules.
`java.lang.String` | `toString()` Generates a string representation of the object.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NdsHold

    public NdsHold(java.lang.String objectName,
                   long amount)

  Constructs an NdsHold object based on the specified objectName and amount parameters.
  Parameters:
    `objectName` - The distinguished name of the target object stored as a String.
    `amount` - The Accounting quantity tentatively held against the target object's credit limit.

Method Detail

### compareTo

    public int compareTo(java.lang.Object anObject)
                  throws java.lang.Exception

  Compares two objects for ordering, or compares two strings lexicographically. The compareTo method does not apply to the NdsHold syntax because this syntax does not support the ordering and substrings matching rules.

### equals

    public boolean equals(java.lang.Object anObject)

  Compares two Objects for equality. The equals method compares this object value with the value of the reference object in the anObject parameter.

  The equals method implements the most discriminating possible equivalence relation on objects; that is, for any reference values X and Y, this method returns TRUE if and only if X and Y refer to the same object (X==Y has the value TRUE).

  Parameters:
    `anObject` - The reference object with which to compare.
  Returns:
    A boolean set to TRUE if and only if the argument is not NULL and is an NDS integer object that contains the same value as this object, otherwise set to FALSE.
  Overrides:
    equals in class java.lang.Object

### count

    public int count()

  Returns the number of elements in this sequence.
  Specified by:
    count in interface
  Returns:
    The number of elements in this sequence as an int.

### getValue

    public  getValue(java.lang.String compositeId)

  Returns a SchemaValue object based on the given passed-in string containing the element value. The SchemaValue object is a Java language data type.
  Specified by:
    getValue in interface
  Parameters:
    `compositeId` - The passed-in string containing the element value.
  Returns:
    The SchemaValue object containing the objectName, and amount, or NULL.

### getValueIds

    public java.util.Enumeration getValueIds()

  Returns an enumeration of composite IDs.
  Specified by:
    getValueIds in interface
  Returns:
    An enumeration of composite IDs.

### getValues

    public java.util.Enumeration getValues()

  Returns an enumeration of the elements in this composite.
  Specified by:
    getValues in interface
  Returns:
    An enumeration of the composite elements objectName and amount.

### approximate

    public boolean approximate(java.lang.Object anObject)
                        throws java.lang.Exception

  Compares two Objects using the approximate matching rule. The approximate method does not apply to the NdsHold syntax because this syntax does not support the approximate equals matching rule.
  Specified by:
    approximate in interface NdsAttributeValue

### getNdsSyntaxId

    public int getNdsSyntaxId()

  Returns the int that represents this NDS syntax ID.
  Specified by:
    getNdsSyntaxId in interface NdsAttributeValue
  Returns:
    The syntax ID as an int.

### supportsMatchingRules

    public boolean supportsMatchingRules(int matchingRules)

  Checks to see if this object supports the specified matching rules. The NdsHold syntax supports only the Equality matching rule.
  Specified by:
    supportsMatchingRules in interface NdsAttributeValue
  Parameters:
    `matchingRules` - The set of matching rules to check.
  Returns:
    A Boolean set to TRUE if the matching rules for this object are equal to the matchingRules parameter.

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object. It then initializes each of the new object's fields by assigning them the same value as the corresponding fields in this object. No constructor is called.
  Returns:
    A clone of this object instance containing the cloned syntax.
  Overrides:
    clone in class java.lang.Object

### toString

    public java.lang.String toString()

  Generates a string representation of the object. It returns a string that textually represents the object. The result should be a concise but informative representation that is easy to read.
  Returns:
    The String representation of the object.
  Overrides:
    toString in class java.lang.Object

### getObjectName

    public java.lang.String getObjectName()

  Returns the String reference to the target object.
  Returns:
    The name of the target object as a String.

### getAmount

    public long getAmount()

  Returns the accounting quantity held against the target object's credit limit.
  Returns:
    The accounting quantity held against the target object's credit limit.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD